Package org.gradle.platform.base

# Interface ProjectDependencySpecBuilder

All Superinterfaces:
  `DependencySpecBuilder`

@Incubating public interface ProjectDependencySpecBuilder extends DependencySpecBuilder
A builder of a `ProjectDependencySpec`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProjectDependencySpecBuilder`
  `library(String name)`
  Narrows this dependency specification down to a specific library.
  `ProjectDependencySpecBuilder`
  `project(String path)`
  Narrows this dependency specification down to a specific project.

  ### Methods inherited from interface org.gradle.platform.base.DependencySpecBuilder

  `build`

- ## Method Details

  - ### project

    ProjectDependencySpecBuilder project(String path)
    Narrows this dependency specification down to a specific project.
    Parameters:
      `path` - the project path
    Returns:
      this instance

  - ### library

    ProjectDependencySpecBuilder library(String name)
    Narrows this dependency specification down to a specific library.
    Parameters:
      `name` - the library name
    Returns:
      this instance